Skip to main content
`Ctrl`+`K`

# CTI to YAML conversion

Note

For a tutorial, refer to the Converting CTI and XML input files to YAML pages.

Convert legacy CTI input files to YAML format, where the first contiguous comment block is used as file description

    usage: cti2yaml [-h] [--input-encoding] [--quiet] [--no-validate] input [output]

## Positional Arguments

`input`

  The input CTI filename. Must be specified.

`output`

  The output YAML filename. Optional.

## Named Arguments

`--input-encoding`

  Character encoding of the file. Default is ‘latin-1’.

  Default: “latin-1”

`--quiet`

  Do not produce output.

  Default: False

`--no-validate`

  Skip validation step.

  Default: False

The ‘output’ argument is optional. If it is not given, an output file with the same name as the input file is used, with the extension changed to ‘.yaml’.